Ben
Burton
bab@debian.org
7 de Março de 2003
addebug
1

# `addebug`

Modifica as `Makefile`(s) para adicionar informações de depuração

    adddebug -k -r -n

## Descrição

O `adddebug` modifica as `Makefile`s na pasta actual (e, opcionalmente, nas suas subpastas) para adicionar informações de depuração (`-g3`). Irá também remover as optimizações (`-O[1-9]`).

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do &kde;.

## Opções

`-k`

  Mantém as optimizações (não remove as opções `-O[1-9]?` que são removidas por omissão).

`-r`

  Procura recursivamente em todas as subpastas da pasta actual e actua em todas as `Makefile`s encontradas.

`-n`

  compila sem o NDEBUG e o NO_DEBUG definidos (faz com que as chamadas `kdDebug` funcionem)